--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::H 
  level: 1
  text: Colour Management with Ruby
- !ruby/struct:SM::Flow::H 
  level: 2
  text: Copyright
- !ruby/struct:SM::Flow::P 
  body: Copyright 2005 by Austin Ziegler
- !ruby/struct:SM::Flow::P 
  body: Color::RGB and Color::CMYK were originally developed for the Ruby PDF project and PDF::Writer and represent wholly unique code.
- !ruby/struct:SM::Flow::P 
  body: Color::Palette was developed based on techniques described by Andy &quot;Malarkey&quot;[http://www.stuffandnonsense.co.uk/archives/creating_colour_palettes.html] Clarke, implemented in JavaScript by Steve G. Chipman at SlayerOffice[http://slayeroffice.com/tools/color_palette/] and by Patrick Fitzgerald of BarelyFitz[http://www.barelyfitz.com/projects/csscolor/] in PHP.
- !ruby/struct:SM::Flow::H 
  level: 2
  text: LICENCE
- !ruby/struct:SM::Flow::P 
  body: "Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: The names of its contributors may not be used to endorse or promote products derived from this software without specific prior written permission.
  type: :BULLET
- !ruby/struct:SM::Flow::P 
  body: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
- !ruby/struct:SM::Flow::P 
  body: THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: COLOR_TOOLS_VERSION
  value: "'1.3.0'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A synonym for Color::GrayScale.
  name: GreyScale
  value: GrayScale
full_name: Color
includes: []

instance_methods: []

name: Color
superclass: 
